# 8. Mutacija: ustvari »RasterMap«

Ustvari "RasterMap" za "Polje".

{% hint style="info" %}
Čas izvajanja se razlikuje (od 4 s do 5 min), odvisno od števila slik in obdelane površine polja, in Obvestilo bo prejeto po uspešni generaciji "RasterMap".
{% endhint %}

{% hint style="danger" %}
Priporočamo uporabo **asinhronega** pristopa za generiranje RastetMap
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacija GenerateRasterMap {
  generateRasterAnalysisMap(vhod: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",  
      "<placeholder_of_satelliteimage_uuid_2>"
    ]
    indeks: NDVI
  }) {    
    uuid
    fieldUuid
    ime
    centroid {
      zgeografska širina
      zemljepisna dolžina
    }
    ograjujočiOkvir
    geoMaps {
      kratkoIme
      polnoIme
      url
      razredi
      hexBarvneKode
    }
    status
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/api-dokumentacija/pregled-zahtevkov-geopard-api/8.-mutacija-ustvari-rastermap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
